# ESE Website

This is the WIP rewrite of the ESE website.

## Editing the content
All content is in the `content` directory, in the form of markdown files. There usually no need to install/build the project in order to make changes there.

Additionally, there are some data files in `content/_data`:
- `ese.yaml`: the year and color is configured here
- `program.yaml`: see [it's documentation](content/_data/program.md)

## Building

To build the website, install the dependencies and run the build script:
```sh
git submodule update --init
npm install
npm run build
```
The output will be in `_site`.

You can also start a development server with auto-reloading:
```sh
npm run start
```

## Nix DevShell
A nix development shell that provides all required tools for developing and building the project is provided for convenience. Using it is by no means required, although we encourage it.

You can activate the devShell using `nix develop` – or automatically, whenever entering/leaving this project's directory, using direnv (run `direnv allow` once).
